﻿using System;
using System.Collections.Generic;

namespace HomeFinance.Model
{
    interface IDocumentoPersister
    {
        IDocumentoLoader GetLoader();
        void Save(Documento documento);
    }

    interface IDocumentoLoader
    {
        Categoria LoadCategorie();
        List<Movimento> LoadMovimenti();
    }
}
