﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

using HomeFinance.Model;
using HomeFinance.Persistence;
using HomeFinance.Presentation;

namespace HomeFinance
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Documento.GetInstance().Load(new DocumentoPersister("../../Documento.xml"));

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new MainForm());
        }
    }
}
