﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HomeFinance.Model
{
    public class MovimentoReale : Movimento
    {
        private readonly DateTime _date;

        public MovimentoReale(Categoria categoria, TipoMovimento tipo, string descrizione, double importo, DateTime date)
            : base(categoria, tipo, descrizione, importo)
        {
            _date = date;
        }

        public DateTime Date
        {
            get { return _date; }
        }
    }
}
