﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using HomeFinance.Model;

namespace HomeFinance.Presentation
{
    public class DataGridViewSelezionePresenter : SelezionePresenter<DataGridView>
    {
        public DataGridViewSelezionePresenter(DataGridView dataGridView, ISelezione selezione)
            : base(dataGridView, selezione)
        {
        }

        protected override void RefreshControl()
        {
            Control.DataSource = Selezione.GetMovimenti().ToList();
        }
    }
}
